Page MenuHomePhabricator

selenium-daily-beta-CirrusSearch is broken
Closed, ResolvedPublic

Description

02:17:21 npm ERR! missing script: selenium-test
02:17:21 npm ERR! 
02:17:21 npm ERR! Did you mean one of these?
02:17:21 npm ERR!     @selenium-test
02:17:21 npm ERR!     selenium
02:17:21 npm ERR!     selenium-daily
02:17:21 
02:17:21 npm ERR! A complete log of this run can be found in:
02:17:21 npm ERR!     /cache/_logs/2019-09-10T02_17_21_823Z-debug.log
02:17:21 npm ERR! code ELIFECYCLE
02:17:21 npm ERR! errno 1
02:17:21 npm ERR! cirrussearch@0.0.0 selenium-daily: `npm run selenium-test`
02:17:21 npm ERR! Exit status 1
02:17:21 npm ERR! 
02:17:21 npm ERR! Failed at the cirrussearch@0.0.0 selenium-daily script.
02:17:21 npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
02:17:21 
02:17:21 npm ERR! A complete log of this run can be found in:
02:17:21 npm ERR!     /cache/_logs/2019-09-10T02_17_21_863Z-debug.log

Details

Related Gerrit Patches:
mediawiki/extensions/CirrusSearch : masterSelenium: fix selenium-daily-beta-CirrusSearch Jenkins job

Event Timeline

dcausse created this task.Sep 10 2019, 3:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 10 2019, 3:51 PM
dcausse renamed this task from selenium-daily-beta-CirrusSearch to selenium-daily-beta-CirrusSearch is broken.Sep 10 2019, 3:52 PM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptSep 10 2019, 3:55 PM
zeljkofilipin triaged this task as Medium priority.Sep 11 2019, 1:43 PM

Change 537149 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/CirrusSearch@master] Revert "build: temporarily rename 'selenium-test'"

https://gerrit.wikimedia.org/r/537149

From my review on https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/CirrusSearch/+/537149/:

We have migrated CI to use NodeJS 10 , to get wdio to run again we need wdio-cucumber-framework to be upgraded which is the pending change https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/CirrusSearch/+/525612/

It is blocked since CirrusSearch has Cindy the browser bot based on MediaWiki Vagrant and it is stuck to NodeJS6.

So we went with disabling the test suite.

The tasks are:

When mediawiki/vagrant is upgrade to Node10, the pending patch to upgrade wdio-cucumber can be merged and the suite reenabled.

So for now, there is not much that can be done.

cindy was recently upgraded (patch merged today). It still runs mwv, but has a hacked up node10+npm install. This should be unblocked now.

Change 537149 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Selenium: fix selenium-daily-beta-CirrusSearch Jenkins job

https://gerrit.wikimedia.org/r/537149